Bug 1013773 - DNF group info doesn't work
Summary: DNF group info doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-30 18:18 UTC by František Zatloukal
Modified: 2014-09-30 23:41 UTC (History)
4 users (show)

Fixed In Version: dnf-0.4.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 14:15:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description František Zatloukal 2013-09-30 18:18:08 UTC
Description of problem:
dnf can't be used to view information about groups.

Version-Release number of selected component (if applicable):
0.4.1-1.git55e6369.fc21

How reproducible:
Always

Steps to Reproduce:
1.Try to view information about some group with dnf group info "Some group" command

Actual results:
Fails when tries to output packages but shows group description correctly.

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 272, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1290, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 879, in doCommand
    return self.base.returnGroupInfo(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 865, in returnGroupInfo
    self.displayPkgsInGroups(group)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 1125, in displayPkgsInGroups
    columns=columns)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 1071, in _displayPkgsFromNames
    for item in sorted(pkg_names):
NotImplementedError: Unsuported operator

Expected results:
Show same result as yum does.

Comment 1 Ales Kozumplik 2013-10-01 05:41:47 UTC
Hi, thanks for the report. We haven't worked on the group support much yet so this is unfortunately normal and I can reproduce this.

We'll take a look.

Comment 2 Ales Kozumplik 2013-10-03 12:23:57 UTC
Fixed by 278e2d7, whill be included in dnf-0.4.3.

Comment 3 Fedora Update System 2013-10-07 13:52:17 UTC
dnf-0.4.3-1.gitc1716d7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.3-1.gitc1716d7.fc20

Comment 4 Fedora Update System 2013-10-07 18:53:13 UTC
dnf-0.4.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.3-2.fc20

Comment 5 Fedora Update System 2013-10-09 14:15:53 UTC
dnf-0.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.